'use strict';

var fs = require('fs');
var crypto = require('crypto');
var replacepath = require('replacepath');

var createHash = function(file, len){
    return crypto.createHash('md5').update(file).digest('hex').substr(0, len);
}

module.exports = function(content, dirname, options){
    var Module = this;
    return content.replace(/Nui.load\(['"][^'"]+['"]/g, function(str){
        var string = str.replace(/\?[^'"]*(['"])$/, '$1');
        var match = string.match(/['"]([^'"]+)['"]/);
        var mod = match[1];
        var path = Module.setId(mod, dirname)[0];

        if(!/\.js$/.test(path)){
            path += '.js';
        }

        if(fs.existsSync(path)){
            var buffer = fs.readFileSync(path);
            var md5 = createHash(buffer, options.hashlen || 7);
            str = string.replace(/(['"])$/, '?v='+ md5 +'$1');
        }

        return str
    }).replace(/^\s+|\s+$/g, '');
}
